CREATE TABLE t1(a, b);

CREATE INDEX i1 ON t1(a);

INSERT INTO t1 VALUES('aaa',1);
INSERT INTO t1 VALUES('ccc',3);

SELECT b FROM t1
WHERE a IN ('aaa','ccc');

ALTER TABLE t1 DROP COLUMN b;

CREATE INDEX idx2
ON t1(a COLLATE NOCASE)
WHERE a IS NOT NULL;

SELECT * FROM t1;